%define major 5
%define libname %mklibname tiff %{major}
%define develname %mklibname tiff -d
%define staticdevelname %mklibname tiff -d -s

Summary:	A library of functions for manipulating TIFF format image files
Name:		libtiff
Version:	4.0.1
%define subrel	9
Release:	%mkrel 2
License:	BSD-like
Group:		System/Libraries
URL:		http://www.remotesensing.org/libtiff/
Source0:	ftp://ftp.remotesensing.org/pub/libtiff/tiff-%{version}.tar.gz
Patch1:		tiff-4.0.1-CVE-2012-1173.diff
Patch2:		tiff-4.0.1-CVE-2012-2113.diff
Patch3:		tiff-4.0.2-CVE-2012-3401.diff
Patch4:		tiff-4.0.1-CVE-2012-4447.diff
Patch5:		tiff-4.0.3-CVE-2012-4564.diff
Patch6:		tiff-4.0.1-CVE-2012-5581.diff
Patch7:		tiff-4.0.3-CVE-2013-1960.diff
Patch8:		tiff-4.0.3-CVE-2013-1961.diff
Patch9:		tiff-4.0.3-CVE-2013-4231.diff
Patch10:	tiff-4.0.3-CVE-2013-4232.diff
Patch11:	tiff-4.0.3-CVE-2013-4244.diff
Patch12:	tiff-4.0.3-CVE-2013-4243.diff
BuildRequires:	jbig-devel
BuildRequires:	libjpeg-devel
BuildRequires:	freeglut-devel
BuildRequires:	zlib-devel
BuildRequires:	lzma-devel

%description
The libtiff package contains a library of functions for manipulating TIFF
(Tagged Image File Format) image format files. TIFF is a widely used file
format for bitmapped images. TIFF files usually end in the .tif extension
and they are often quite large.

%package	progs
Summary:	Binaries needed to manipulate TIFF format image files
Group:		Graphics
Requires:	%{libname} = %{version}
Obsoletes:	libtiff3-progs
Provides:	libtiff3-progs = %{version}-%{release}

%description	progs
This package provides binaries needed to manipulate TIFF format image files.

%package -n	%{libname}
Summary:	A library of functions for manipulating TIFF format image files
Group:		System/Libraries
Obsoletes:	%{name} < %{version}
Provides:	%{name} = %{version}-%{release}

%description -n	%{libname}
The libtiff package contains a library of functions for manipulating TIFF
(Tagged Image File Format) image format files. TIFF is a widely used file
format for bitmapped images. TIFF files usually end in the .tif extension
and they are often quite large.

%package -n	%{develname}
Summary:	Development tools for programs which will use the libtiff library
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	tiff-devel = %{version}-%{release}
Obsoletes:	%{mklibname tiff 3 -d}

%description -n	%{develname}
This package contains the header files and .so libraries for developing
programs which will manipulate TIFF format image files using the libtiff
library.

%package -n	%{staticdevelname}
Summary:	Static libraries for programs which will use the libtiff library
Group:		Development/C
Requires:	%{develname} = %{version}
Provides:	%{name}-static-devel = %{version}-%{release}
Provides:	tiff-static-devel = %{version}-%{release}
Obsoletes:	%{mklibname tiff 3 -d -s}

%description -n	%{staticdevelname}
This package contains the static libraries for developing
programs which will manipulate TIFF format image files using the libtiff
library.

%prep
%setup -q -n tiff-%{version}
%patch1 -p1 -b .CVE-2012-1173
%patch2 -p1 -b .CVE-2012-2113
%patch3 -p1 -b .CVE-2012-3401
%patch4 -p1 -b .CVE-2012-4447
%patch5 -p0 -b .CVE-2012-4564
%patch6 -p1 -b .CVE-2012-5581
%patch7 -p1 -b .CVE-2013-1960
%patch8 -p1 -b .CVE-2013-1960
%patch9 -p1 -b .CVE-2013-4231
%patch10 -p1 -b .CVE-2013-4232
%patch11 -p1 -b .CVE-2013-4244
%patch12 -p0 -b .CVE-2013-4243

%build
%configure2_5x --enable-static --with-docdir=%{_datadir}/doc/%{develname} --enable-ld-version-script
%make

%check
make check

%install
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

# multiarch policy
%multiarch_includes %{buildroot}%{_includedir}/tiffconf.h

%files progs
%{_bindir}/*
%{_mandir}/man1/*

%files -n %{libname}
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%doc %{_datadir}/doc/%{develname}
%{_includedir}/*.h*
%{multiarch_includedir}/tiffconf.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man3/*

%files -n %{staticdevelname}
%doc COPYRIGHT README TODO VERSION
%{_libdir}/*.a


%changelog
* Tue Sep 24 2013 luigiwalser <luigiwalser> 4.0.1-2.9.mga2
+ Revision: 485467
- add patch from debian to fix CVE-2013-4244
- add patches from fedora to fix CVE-2013-4231 and CVE-2013-4232
- add patches from fedora to fix CVE-2013-1960 and CVE-2013-1961
- add upstream patch to fix CVE-2012-5581
- add patch from redhat to fix CVE-2012-4564
- add patch from debian to fix CVE-2012-4447
- fix CVE-2012-3401 (from RedHat)
- add upstream patch to fix CVE-2012-2113
- fix CVE-2012-1173 (from mdv)

* Sun Feb 19 2012 fwang <fwang> 4.0.1-1.mga2
+ Revision: 210744
- enable ld version script
- new version 4.0.1

* Thu Dec 22 2011 fwang <fwang> 4.0.0-1.mga2
+ Revision: 186081
- new version 4.0.0

* Fri Sep 23 2011 fwang <fwang> 3.9.5-1.mga2
+ Revision: 146947
- switch to freeglut

* Wed Apr 20 2011 pterjan <pterjan> 3.9.5-1.mga1
+ Revision: 88881
- Update to 3.9.5

* Tue Jan 11 2011 pterjan <pterjan> 3.9.4-3.mga1
+ Revision: 5548
- Drop obsolete scriptlets
- imported package libtiff

